sequence.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`
`#include <climits>`

Go to the source code of this file.

## Classes

class | Test::Int::Sequence::SequenceTest
| Base test for sequence More...
class | Test::Int::Sequence::SequenceBoolTest
| Test for sequence with boolean variables More...
class | Test::Int::Sequence::SequenceIntTest
| Test for sequence with boolean variables More...
class | Test::Int::Sequence::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Sequence
| Tests for sequence constraints

## Variables

Create | Test::Int::Sequence::c